Skip to main content

IngestResponse

character_countCharacter Count
Default value: 0
document_idDocument Idrequired
error object

Set when the fetch could not be started; the status is still 200.

anyOf
string
messageMessage
Default value: Document ingested successfully
processing_status object

Poll GET /api/v1/documents/{doc_id} until this is null.

anyOf
string
scrape_job_id object
anyOf
string
source_url object
anyOf
string
successSuccess
Default value: true
titleTitlerequired

A placeholder until the fetch completes.

url object
anyOf
string
word_countWord Count
Default value: 0
property name*any
IngestResponse
{
"character_count": 0,
"document_id": "string",
"error": "string",
"message": "Document ingested successfully",
"processing_status": "string",
"scrape_job_id": "string",
"source_url": "string",
"success": true,
"title": "string",
"url": "string",
"word_count": 0
}